Bug 103736 - /etc/localtime regeneration after modification of /etc/sysconfig/clock
/etc/localtime regeneration after modification of /etc/sysconfig/clock
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: initscripts (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2003-09-04 10:00 EDT by Roger Nunn
Modified: 2014-03-16 22:38 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-09-05 12:24:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Roger Nunn 2003-09-04 10:00:23 EDT
Description of problem:
/etc/localtime never regenerated after changes were made to /etc/sysconfig/clock

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.edit /etc/sysconfig/clock (changeing timezone for example.)

Actual results:
the date command returns the old timezone value even after reboot as it relies
on /etc/localtime which is not updated at system boot.

Expected results:
/etc/localtime is regenerated based on the new /etc/sysconfig/clock settings

Additional info:
Comment 1 Bill Nottingham 2003-09-04 13:02:28 EDT
It's regenerated when you use the included tools to modify /etc/sysconfig/clock;
if *that's* not happening, that's a bug.
Comment 2 Bastien Nocera 2003-09-05 04:07:51 EDT
redhat-config-time doesn't allow for the selection of some timezones, like GMT
and the likes.
I think that a small modification to the initscripts to regenerate
/etc/localtime on boot (or even on shutdown/reboot) would be a good thing.
Comment 3 Bill Nottingham 2003-09-05 11:09:05 EDT
Impossible to fix completely. It would need to be done before you set the time,
and you don't necessarily have a /usr filesystem to copy *from* then.
Comment 4 Bastien Nocera 2003-09-05 12:08:41 EDT
Or before you're switching the machine off, during the shutdown.
Comment 5 Bill Nottingham 2003-09-05 12:24:07 EDT
In the case of manual modification of config files, it's the sysadmin
responsibility to fix the consequences of such; I'm unwilling to start down the
slippery slope of fixing them up afterwards in an automated fashion.

Note You need to log in before you can comment on or make changes to this bug.